import React, { useState } from 'react'
import {
	Box,
	Button,
	Divider,
	makeStyles,
	Card,
	Typography,
	CardHeader,
	CardActions,
	CardContent
} from '@material-ui/core'
import { useHistory } from 'react-router-dom'

const useStyles = makeStyles(theme => ({
	root: {
		display: 'flex',
		flexDirection: 'column',
		alignItems: 'center',
		justifyContent: 'center',
		height: '100vh',
		backgroundColor: theme.palette.background.default
	},
	card: {
		display: 'flex',
		flexDirection: 'column',
		alignItems: 'center',
		justifyContent: 'center',
		padding: '0px 30px',
		minHeight: '20vh'
	},
	actions: {
		justifyContent: 'center'
	}
}))

export default function Confirmacion() {
	const classes = useStyles()
	const [ intervalId, setIntervalId ] = useState(-1)
	const [ min, seg, setRestante ] = useState({min: 0, seg:0})
	const enviado = localStorage.getItem('enviado') || new Date()

	const history = useHistory()

	const calcularRestante = () => {
		const res = enviado.getTime() - new Date().getTime()
		setRestante({min: 0, seg: Math.round(res / (1000 * 60 * 60))})
	}

	const validar = () => {
		history.push('/finalizado')
	}

	const reenviar = () => {
        setIntervalId(setInterval(calcularRestante, 1000))
    }

    if (seg < 0 && min <0) clearInterval(intervalId)

	return (
		<Box className={classes.root}>
			<Card>
				<CardHeader
					disableTypography
					title={
						<Typography variant='h5' align='center'>
							Validar correo
						</Typography>
					}
				/>
				<Divider />
				<CardContent>
					<Typography paragraph variant='h6'>
						Para finalizar con el registro, ingrese el codigo que recibió en su casilla de correo
					</Typography>
				</CardContent>
				<Divider />
				<CardActions className={classes.actions}>
					<Button variant='contained' color='primary' onClick={reenviar} disabled={true}>
						Reenviar ({min}:{seg})
					</Button>
					<Button variant='contained' color='primary' onClick={validar}>
						Validar
					</Button>
				</CardActions>
			</Card>
		</Box>
	)
}
